Subject: bug#66990: closed (Re: [bug#66990] [PATCH 0/3] fix build of network-manager-fortisslvpn and openfortivpn)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 Nov 2023 22:18:02 +0000

Your bug report

#66990: [PATCH 0/3] fix build of network-manager-fortisslvpn and openfortivpn

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66990: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66990
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66990] [PATCH 0/3] fix build of network-manager-fortisslvpn and openfortivpn
From: Ludovic Courtès <[email-masked]>
To: Benjamin <[email-masked]>
Cc: Raghav Gururajan <[email-masked]>, Liliana Marie Prikler <[email-masked]>, Maxim Cournoyer <[email-masked]>, [email-masked]
Date: Sat, 25 Nov 2023 23:17:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Benjamin & Liliana,

Benjamin <[email-masked]> skribis:

> [0] https://gitlab.gnome.org/GNOME/NetworkManager-fortisslvpn/-/commit/084ef529c5fb816927ca54866f66b340265aa9f6
> [1] https://github.com/adrienverge/openfortivpn/pull/1148
>
> Benjamin (3):
>   gnu: Add ppp-2.4.9.
>   gnu: openfortivpn: fix build.
>   gnu: network-manager-fortisslvpn: fix build.

I went ahead and applied these changes, moving the links above as
comments in the code.  Hopefully we’ll be able to switch to ppp 2.5.0
real soon as fixed have now been merged upstream.

Thanks,
Ludo’.

Subject: [PATCH 0/3] fix build of network-manager-fortisslvpn and openfortivpn
From: Benjamin <[email-masked]>
To: [email-masked]
Cc: Benjamin <[email-masked]>
Date: Tue, 7 Nov 2023 17:33:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

The new version of ppp 2.5.0 happend to break the build of
packages network-manager-fortisslvpn and openfortivpn.

This is releated to some non compatible changes on ppp side.
Some related issue and pr can be found here [0] and [1].

I did not managed to make openfortivpn and network-manager-fortisslvpn
to work with ppp 2.4.9 (I don't even know if it is possible for the
moment).

To fix this issue I added package [email-masked] using previous build instructions
available at commit a112b43b2a8425915c764a2bc9e6cf0ea58cb512.

Best

[0] https://gitlab.gnome.org/GNOME/NetworkManager-fortisslvpn/-/commit/084ef529c5fb816927ca54866f66b340265aa9f6
[1] https://github.com/adrienverge/openfortivpn/pull/1148

Benjamin (3):
  gnu: Add ppp-2.4.9.
  gnu: openfortivpn: fix build.
  gnu: network-manager-fortisslvpn: fix build.

 gnu/packages/gnome.scm |  2 +-
 gnu/packages/samba.scm | 32 ++++++++++++++++++++++++++++++++
 gnu/packages/vpn.scm   |  2 +-
 3 files changed, 34 insertions(+), 2 deletions(-)

base-commit: 3f83dc5587573f173b1f61864c9b510f05de84b1
-- 
2.41.0